<?xml version="1.0" encoding="UTF-8"?>
<configuration>
	<system.web>
		<httpRuntime enableVersionHeader="false" />
	</system.web>
	<system.webServer>		
		<!--启用GZIP压缩网页-->
		<urlCompression doStaticCompression="true" doDynamicCompression="true" />
		<!--安全权限控制-->
		<handlers accessPolicy="Read, Script" />
		<directoryBrowse enabled="false" />
		<httpProtocol>
			<customHeaders>
			  <clear />
			  <add name="Content-Security-Policy" value="default-src 'self';form-action 'self';style-src 'self' 'unsafe-inline';connect-src 'self';font-src 'self' data:;script-src 'self' 'unsafe-inline' 'unsafe-eval';object-src 'none'" />
			  <add name="Powered-By" value="Zhengzhou Wenda Lingfeng Network Technology Co., Ltd." />
			</customHeaders>
		</httpProtocol>
		<rewrite>
		  <rules>
			<rule name="通用翻页">
			  <match url="(.*)_([0-9]*).html(.*)" />
			  <action type="Rewrite" url="{R:1}.asp?page={R:2}" appendQueryString="false" />
			</rule>
			<rule name="页面通用">
			  <match url="(.*).html(.*)" />
			  <action type="Rewrite" url="{R:1}.asp{R:2}" appendQueryString="true" />
			</rule>
		  </rules>
		  <outboundRules rewriteBeforeCache="true">
			<rule name="Remove Server header">
			  <match serverVariable="RESPONSE_Server" pattern=".+" />
			  <action type="Rewrite" value="Nginx/Mono 6.4.0.198" />
			</rule>
		  </outboundRules>
		</rewrite>
		<defaultDocument>
		  <files>
			<clear />
			<add value="index.htm" />
			<add value="index.asp" />
		  </files>
		</defaultDocument>
		<httpErrors errorMode="Custom">
		  <clear />
		  <remove statusCode="403" />
		  <error statusCode="403" path="http://www.lfmesss.com/lfmesss/noallow.asp" responseMode="Redirect" />
		  <remove statusCode="404" />
		  <error statusCode="404" path="http://www.lfmesss.com/lfmesss/noallow.asp" responseMode="Redirect" />
		  <remove statusCode="500" />
		  <error statusCode="500" path="http://www.lfmesss.com/lfmesss/noallow.asp" responseMode="Redirect" />
		</httpErrors>
	</system.webServer>
</configuration>